Bug 4238 - OPAC timeout feature for patron privacy
Summary: OPAC timeout feature for patron privacy
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.4
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jane Wagner
QA Contact: Bugs List
URL:
Keywords:
: 3208 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-02-22 07:43 UTC by Jane Wagner
Modified: 2012-10-26 00:51 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Re-implementation of the changes in Harley (4.21 KB, patch)
2010-12-23 17:31 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:24:47 UTC


---- Reported by jwagner@ptfs.com 2010-02-22 19:43:57 ----

Sponsored by Middletown Township Public Library, Middletown, NJ, USA.

To preserve patron privacy at library public workstations, this feature adds a timeout using a new syspref (ResetOpacInactivityTimeout).  After that length of time (in seconds), an OPAC session will return to the initial screen.  If a user is logged in, the session will be logged out.



---- Additional Comments From gmcharlt@gmail.com 2010-05-11 12:07:18 ----

Looking at the patch, I see that the screensaver.js file is a copy-and-paste of code from

http://www.codeguru.com/forum/archive/index.php/t-433956.html

Please contact the author and get consent for distributing the code under the GPL2+.  If the author does not consent or cannot be found, the screensaver will have to be rewritten (maybe there's a jQuery plugin).



---- Additional Comments From jwagner@ptfs.com 2010-05-12 13:36:29 ----

Consent received via email:

I consent to the GPL licensing of the "ScreenSaver" JavaScript code published by me, Andreas Blixt aka. andreasblixt, on September 14th, 2007 at http://www.codeguru.com/forum/archive/index.php/t-433956.html for use in Koha.

/Andreas Blixt



The fix for this bug (in ptfs-harley) can be pulled from the public git repository at http://github.com/Koha-PTFS, branch http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4238





---- Additional Comments From kyle.m.hall@gmail.com 2010-05-12 14:20:38 ----

I made first contact with the author via Facebook. Here is the conversation:
ME (May 12 at 8:17am):
Hello, I recently found a bit of javascript you wrote ( assuming there aren't many Andreas Blixt's out there. ) We would like to use it in Koha, and Open Source library management system. Would you be willing to allow me to release this code under the GPLv2 or later? ( Included link to http://www.codeguru.com/forum/archive/index.php/t-433956.html )

Andreas Blixt (May 12 at 8:40am):
Haha I had a hard time even remembering I wrote that code. Go ahead. :)

As a general rule I say that all my minor pieces of code are MIT licensed, but I always appreciate a mention. :) 

ME (May 12 at 9:06am):
Thanks! That is a huge help. Could you send an 'official' confirmation that we can GPL this code to jwagner@ptfs.com? I'm sure we can add an attribution somewhere as well. Thanks again!



---- Additional Comments From kyle.m.hall@gmail.com 2010-05-12 14:22:01 ----

I suggest the attribution include his name "Andreas Blixt" and his website, http://blixt.org/



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:24 UTC  ---

This bug was previously known as _bug_ 4238 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4238

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was jwagner@ptfs.com.
The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, chris@bigballofwax.co.nz.
   Previous assignee was kohaprogrammers@ptfs.com.
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.
Bug reassigned, setting status to "NEW".
   Previous status was "ASSIGNED".
CC member jwagner@ptfs.com does not have an account here

Comment 1 Owen Leonard 2010-12-23 16:38:36 UTC
*** Bug 3208 has been marked as a duplicate of this bug. ***
Comment 2 Owen Leonard 2010-12-23 17:31:26 UTC
Created attachment 2904 [details] [review]
Re-implementation of the changes in Harley

This patch re-implements the changes made by PTFS and included in Harley. The code seems to work well, but in order for this to be a complete fix it would have to include an update to the database and preferences.

I like that this update includes handling of the Cart, but I'm still not crazy about the idea that ALL OPAC users will be affected by this kind of configuration There's no reason to time out user browsing the OPAC from home.
Comment 3 Jared Camins-Esakov 2012-02-13 13:20:45 UTC
The Harley integration project has been stalled for some time.